// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Blueprint/UserWidget.h"
#include "PC_Display.generated.h"

USTRUCT(BlueprintType)
struct FPC_Display_Info
{
	GENERATED_BODY()

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	bool IsGameOver;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	FString MB_Title;
	
	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	FString MB_Desc;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	int MB_Reward;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	TArray<FString> SB_Title;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	TArray<UTexture2D*> SB_Icon;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	TArray<FString> SB_Desc;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	TArray<int> SB_Reward;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	TArray<FString> CustomBountyAlteration_Desc;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	TArray<int> CustomBountyAlteration_Cost;

	UPROPERTY(BlueprintReadWrite, Category = "PC_Display_Info")
	int PlayersFavourAmount;
};

DECLARE_DYNAMIC_MULTICAST_DELEGATE(FLogoutFromBountyDirectorPC);

UCLASS()
class ENDLESSVENDETTA_API UPC_Display : public UUserWidget
{
	GENERATED_BODY()
protected:
	UFUNCTION(BlueprintCallable, Category = "PC_Display")
	void LogoutButtonPressed()
	{
		LogoutFromBountyDirectorPC.Broadcast();
	}

public:
	FLogoutFromBountyDirectorPC LogoutFromBountyDirectorPC;
	
	UPROPERTY(BlueprintReadOnly)
	FPC_Display_Info PC_Display_Info;

	UFUNCTION(BlueprintImplementableEvent, Category = "PC_Display")
	void LoadOS();

	
};

